//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------

/**
 * Hlavny formular programu
 */
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TMainMenu *MainMenu1;
  TMenuItem *Konec1;
        TButton *next;
        TButton *prev;
        TLabel *pocciar;
        TButton *spusti;
        TLabel *generacia;
        TLabel *Label7;
        TLabel *lepsie;
        TSaveDialog *SaveDialog1;
        TOpenDialog *OpenDialog1;
        TMenuItem *Stolicka1;
        TMenuItem *Uloz1;
        TMenuItem *Otvor1;
        TPanel *Panel1;
        TButton *zaciatok;
        TMenuItem *Nastavenia1;
        TLabel *Label9;
        TMenuItem *Nastavenia2;
        TMenuItem *Podrobnosti1;
        TMenuItem *Populacia1;
        TMenuItem *Novapopulacia2;
        TMenuItem *Nastavenie1;
        TTimer *Timer1;
        TMenuItem *Podrobnosti2;
        TButton *zoomplus;
        TButton *zoomminus;
        TLabel *Label1;
        TLabel *fitness;
        TEdit *Edit1;
        TLabel *Label2;
        TButton *rotujplus;
        TButton *rotujminus;
        TButton *Button1;
  void __fastcall FormResize(TObject *Sender);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Konec1Click(TObject *Sender);
  void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
        void __fastcall nextClick(TObject *Sender);
        void __fastcall prevClick(TObject *Sender);
        void __fastcall nieco();
        void __fastcall spustiClick(TObject *Sender);
        void __fastcall zobraz_info();
        void __fastcall Uloz1Click(TObject *Sender);
        void __fastcall Otvor1Click(TObject *Sender);
        void __fastcall zaciatokClick(TObject *Sender);
        void __fastcall Nastavenia2Click(TObject *Sender);
        void __fastcall Podrobnosti1Click(TObject *Sender);
        void __fastcall Novapopulacia2Click(TObject *Sender);
        void __fastcall Nastavenie1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall Podrobnosti2Click(TObject *Sender);
        void __fastcall zoomplusClick(TObject *Sender);
        void __fastcall zoomminusClick(TObject *Sender);
        void __fastcall rotujplusClick(TObject *Sender);
        void __fastcall rotujminusClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);


public:	// User declarations
   HGLRC hRC;
   HDC hDC;
public:		// User declarations
   /**
    * Konstruktor.
    * vyraba prvu populaciu
    */
  __fastcall TForm1(TComponent* Owner);

  /**
   * Destruktor.
   * rusi okno OpenGL
   */
  __fastcall ~TForm1();

  /**
   * Vykreslovanie sceny
   */
  void TForm1::DrawScene(void);

  /**
   * Procedura zabezpecujuca prekreslovanie zmien
   */
  void __fastcall TForm1::IdleLoop(TObject* Sender, bool &Done);

  /**
   * Nastavenie pre OpenGL
   */
  void SetPixelFormatDescriptor();
  /**
   * Inicializacia OpenGL
   */
  void InitGL();

  /**
   * Nacitanie textur
   */
  int bitmapLoad(int texture, const char *filename);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
extern double R,G, B;
//---------------------------------------------------------------------------
#endif
